Index: index.xml
===================================================================
--- index.xml	(revision fe8b8e9586ce4dcc518a2fba313034cd260cdf41)
+++ index.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20020825">
-<!ENTITY releasedate "August 25th, 2002">
+<!ENTITY version "20020826">
+<!ENTITY releasedate "August 26th, 2002">
 
 <!ENTITY % book SYSTEM "book/book.ent">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision fe8b8e9586ce4dcc518a2fba313034cd260cdf41)
+++ introduction/welcome/changelog.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -11,5 +11,8 @@
 <itemizedlist>
 
-<listitem><para>August 26th 2002 [larry]: General: Update to
+<listitem><para>August 26th, 2002 [larry]: Server: Added exim-4.10,
+changes to sendmail and qmail submitted by Billy.</para></listitem>
+
+<listitem><para>August 26th, 2002 [larry]: General: Update to
 fcron-2.9.1, libxml2-2.4.24 and libxslt-1.0.20.</para></listitem>
 
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision fe8b8e9586ce4dcc518a2fba313034cd260cdf41)
+++ introduction/welcome/credits.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -94,5 +94,5 @@
 Hymers</emphasis></para></listitem>
 
-<listitem><para>bind, cvs server, emacs, leafnode, libfam, pine, qmail, PostgreSQL, Samba, sendmail, slrn, tex and xinetd: <emphasis>Billy O'Connor</emphasis></para></listitem>
+<listitem><para>bind, cvs server, emacs, exim, leafnode, libfam, pine, qmail, PostgreSQL, Samba, sendmail, slrn, tex and xinetd: <emphasis>Billy O'Connor</emphasis></para></listitem>
 
 <listitem><para>fetchmail and wvdial: <emphasis>Paul
Index: server/mail/exim.xml
===================================================================
--- server/mail/exim.xml	(revision fe8b8e9586ce4dcc518a2fba313034cd260cdf41)
+++ server/mail/exim.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -1,7 +1,11 @@
-<sect1 id="exim" xreflabel="exim">
+<sect1 id="exim" xreflabel="exim-&exim-version;">
 <?dbhtml filename="exim.html" dir="server"?>
-<title>exim</title>
+<title>exim-&exim-version;</title>
 
-<para>TO BE DONE</para>
+&exim-intro;
+&exim-inst;
+&exim-config;
+&exim-exp;
+&exim-desc;
 
 </sect1>
Index: server/mail/exim/exim-config.xml
===================================================================
--- server/mail/exim/exim-config.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
+++ server/mail/exim/exim-config.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -0,0 +1,83 @@
+<sect2>
+<title>Configuring exim</title>
+
+<sect3><title>Config files</title>
+<para><userinput>/etc/exim.conf, /etc/aliases</userinput></para>
+</sect3>
+
+<sect3><title>Configuration of exim</title>
+<para>Create the exim configuration files with the following commands:
+</para> 
+<para><screen><userinput>
+cat >> /etc/aliases << "EOF"
+postmaster: root
+MAILER-DAEMON: root
+EOF
+exim -v -bi
+/usr/sbin/exim -bd -q1m
+</userinput></screen></para>
+<note><para>To protect an existing <filename>/etc/aliases</filename>
+file, we will append these aliases to it if it exists.  This file
+should be checked and duplicate aliases removed, if
+present.</para></note>
+
+
+<para>To start and stop exim on system boot/shutdown create the
+exim boot script with the following commands: </para>
+
+<para><screen><userinput>cat &gt; /etc/rc.d/init.d/exim &lt;&lt; "EOF"</userinput>
+#!/bin/sh
+# Begin $rc_base/init.d/exim
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+
+source /etc/sysconfig/rc
+source $rc_functions
+
+case "$1" in
+
+        start)
+        echo "Starting exim..."
+        loadproc /usr/sbin/exim -bd -q1m
+        ;;
+
+        stop)
+        echo "Stopping exim..."
+        killproc exim
+        ;;
+		
+	status)
+	statusproc exim
+	;;
+	
+        restart)
+        $0 stop
+        sleep 1
+        $0 start
+        ;;
+
+        *)
+        echo "Usage: $0 {start|stop|status|restart}"
+        exit 1
+        ;;
+esac
+
+# End $rc_base/init.d/exim
+<userinput>EOF
+chmod 755 /etc/rc.d/init.d/exim</userinput></screen></para>
+
+<para>Create the run level symlinks with the following commands:
+</para>
+<para>
+<screen><userinput>cd /etc/rc.d/init.d &amp;&amp;
+ln -sf ../init.d/exim ../rc0.d/K25exim &amp;&amp;
+ln -sf ../init.d/exim ../rc1.d/K25exim &amp;&amp;
+ln -sf ../init.d/exim ../rc2.d/K25exim &amp;&amp;
+ln -sf ../init.d/exim ../rc3.d/S35exim &amp;&amp;
+ln -sf ../init.d/exim ../rc4.d/S35exim &amp;&amp;
+ln -sf ../init.d/exim ../rc5.d/S35exim &amp;&amp;
+ln -sf ../init.d/exim ../rc6.d/K25exim</userinput></screen></para>
+</sect3>
+
+</sect2>
Index: server/mail/exim/exim-desc.xml
===================================================================
--- server/mail/exim/exim-desc.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
+++ server/mail/exim/exim-desc.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -0,0 +1,66 @@
+<sect2><title>Contents</title>
+
+<para>The exim package contains
+<userinput>exim</userinput>,
+<userinput>exim_dumpdb</userinput>,
+<userinput>exim_fixdb</userinput>,
+<userinput>exim_tidydb</userinput>,
+<userinput>exinext</userinput>,
+<userinput>exiwhat</userinput>,
+<userinput>exim_dbmbuild</userinput>,
+<userinput>exicyclog</userinput>,
+<userinput>exigrep</userinput>,
+<userinput>eximstats</userinput>,
+<userinput>exiqsumm</userinput>,
+<userinput>exim_lock</userinput> and
+<userinput>exim_checkaccess</userinput>.
+</para>
+</sect2>
+
+<sect2><title>Description</title>
+<sect3><title>exim</title>
+<para>exim is the Mail Transport Agent daemon.</para></sect3>
+
+<sect3><title>exim_dumpdb</title>
+<para>exim_dumpdb writes the contents of exim databases to the
+standard output .</para></sect3>
+
+<sect3><title>exim_fixdb</title>
+<para>exim_fixdb modifies data in exim databases.</para></sect3>
+
+<sect3><title>exim_tidydb</title>
+<para>exim_tidydb removes old records from exim databases.</para></sect3>
+
+<sect3><title>exinext</title>
+<para>exinext queries remote host retry times.</para></sect3>
+
+<sect3><title>exiwhat</title>
+<para>exiwhat queries running exim processes.</para></sect3>
+
+<sect3><title>exim_dbmbuild</title>
+<para>exim_dbmbuild creates and rebuilds exim
+databases.</para></sect3>
+
+<sect3><title>exicyclog</title>
+<para>exicyclog cycles exim log files.</para></sect3>
+
+<sect3><title>exigrep</title>
+<para>exigrep searches exim log files.</para></sect3>
+
+<sect3><title>eximstats</title>
+<para>eximstats generates mail statistics from exim log
+files.</para></sect3>
+
+<sect3><title>exiqsumm</title>
+<para>exiqsumm produces a summary of the messages on the mail
+queue.</para></sect3> 
+
+<sect3><title>exim_lock</title>
+<para>exim_lock locks a mailbox file.</para></sect3>
+
+<sect3><title></title>
+<para>exim_checkaccess states whether a given recipient address from a
+given host is acceptable or not.</para></sect3>
+
+</sect2>
+
Index: server/mail/exim/exim-exp.xml
===================================================================
--- server/mail/exim/exim-exp.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
+++ server/mail/exim/exim-exp.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -0,0 +1,28 @@
+<sect2>
+<title>Installation command explanations</title>
+
+<para><userinput>
+groupadd exim
+useradd -g exim exim : </userinput>
+Create the group and user exim which will run the the exim
+daemon.</para>
+
+<para><screen><userinput>
+sed -e 's/^BIN_DIR.*$/BIN_DIRECTORY=\/usr\/sbin/' src/EDITME | \
+  sed -e 's/^CONF.*$/CONFIGURE_FILE=\/etc\/exim.conf/' | \
+  sed -e 's/^EXIM_USER.*$/EXIM_USER=exim/' | \
+  sed -e 's/^EXIM_MONITOR/#EXIM_MONITOR/' > Local/Makefile : 
+</userinput></screen>
+
+Many of exim's configuration options are compiled in.  Here, we
+specify the minimum set of options, BIN_DIRECTORY, CONFIGURE_FILE and
+EXIM_USER.  We also defer building the exim monitor program, which
+requires X windows support, by commenting out the EXIM_MONITOR line in
+the Makefile.</para>
+
+<para><userinput> ln -s /usr/sbin/exim /usr/sbin/sendmail :
+</userinput>
+Create a link to sendmail for applications which need it.  exim will
+accept most Sendmail command line options.</para>
+
+</sect2>
Index: server/mail/exim/exim-inst.xml
===================================================================
--- server/mail/exim/exim-inst.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
+++ server/mail/exim/exim-inst.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -0,0 +1,23 @@
+<sect2>
+<title>Installation of exim</title>
+
+<para>Before building exim, we need to create a user and group for
+exim with the following commands:</para>
+<para><screen><userinput>
+groupadd exim
+useradd -g exim exim
+</userinput></screen></para>
+
+<para>Install exim with the following commands:</para>
+
+<para><screen><userinput>
+sed -e 's/^BIN_DIR.*$/BIN_DIRECTORY=\/usr\/sbin/' src/EDITME | \
+  sed -e 's/^CONF.*$/CONFIGURE_FILE=\/etc\/exim.conf/' | \
+  sed -e 's/^EXIM_USER.*$/EXIM_USER=exim/' | \
+  sed -e 's/^EXIM_MONITOR/#EXIM_MONITOR/' > Local/Makefile &amp;&amp;
+make &amp;&amp;
+make install &amp;&amp;
+ln -s /usr/sbin/exim /usr/sbin/sendmail
+</userinput></screen></para>
+</sect2>
+
Index: server/mail/exim/exim-intro.xml
===================================================================
--- server/mail/exim/exim-intro.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
+++ server/mail/exim/exim-intro.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Introduction to exim</title>
+
+<screen>Download location (HTTP):       <ulink url="&exim-download-http;"/>
+Download location (FTP):        <ulink url="&exim-download-ftp;"/>
+Version used:                   &exim-version;
+Package size:                   &exim-size;
+Estimated Disk space required:  &exim-buildsize;</screen>
+
+<para>The exim package contains a Mail Transport Agent written by the
+University of Cambridge, released under the GNU Public License.</para>
+
+<screen>exim depends on:
+<xref linkend="db"/></screen>
+
+</sect2>
Index: server/mail/exim/exim.ent
===================================================================
--- server/mail/exim/exim.ent	(revision fe8b8e9586ce4dcc518a2fba313034cd260cdf41)
+++ server/mail/exim/exim.ent	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -1,1 +1,11 @@
 <!ENTITY exim SYSTEM "../exim.xml">
+<!ENTITY exim-intro SYSTEM "exim-intro.xml">
+<!ENTITY exim-inst SYSTEM "exim-inst.xml">
+<!ENTITY exim-desc SYSTEM "exim-desc.xml">
+<!ENTITY exim-exp SYSTEM "exim-exp.xml">
+<!ENTITY exim-config SYSTEM "exim-config.xml">
+<!ENTITY exim-buildsize "7.7 MB">
+<!ENTITY exim-version "4.10">
+<!ENTITY exim-download-http "">
+<!ENTITY exim-download-ftp "ftp://ftp.exim.org/pub/exim/exim4/exim-4.10.tar.bz2">
+<!ENTITY exim-size "1.4 MB">
Index: server/mail/qmail/qmail-config.xml
===================================================================
--- server/mail/qmail/qmail-config.xml	(revision fe8b8e9586ce4dcc518a2fba313034cd260cdf41)
+++ server/mail/qmail/qmail-config.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -12,8 +12,58 @@
 tcp-env /var/qmail/bin/qmail-smtpd" >> /etc/inetd.conf
 </userinput></screen></para>
-<para>Add:
-<userinput>sh -cf '/var/qmail/rc &'</userinput>
-to your boot scripts, so that the qmail daemons are restarted whenever
-your system reboots. Make sure you include the &.</para>
+
+<para>To automate the running of qmail, use following command to
+create the init.d script:</para> 
+
+<para><screen><userinput>
+cat &gt; /etc/rc.d/init.d/qmail &lt;&lt; "EOF"
+#!/bin/sh
+# Begin $rc_base/init.d/qmail
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+
+source /etc/sysconfig/rc
+source $rc_functions
+
+case "$1" in
+
+        start)
+        echo "Starting Qmail..."
+	/var/qmail/rc &
+        ;;
+
+        stop)
+        echo "Stopping Qmail..."
+        killall qmail-send
+        ;;
+		
+        restart)
+        $0 stop
+        sleep 1
+        $0 start
+        ;;
+
+        *)
+        echo "Usage: $0 {start|stop|restart}"
+        exit 1
+        ;;
+esac
+
+# End $rc_base/init.d/qmail
+EOF
+chmod 755 /etc/rc.d/init.d/qmail</userinput></screen></para>
+
+<para>Create the symbolic links to this file in the relevant rc.d directory with the following commands:
+
+<screen><userinput>cd /etc/rc.d/init.d &amp;&amp;
+ln -sf ../init.d/qmail ../rc0.d/K25qmail &amp;&amp;
+ln -sf ../init.d/qmail ../rc1.d/K25qmail &amp;&amp;
+ln -sf ../init.d/qmail ../rc2.d/K25qmail &amp;&amp;
+ln -sf ../init.d/qmail ../rc3.d/S35qmail &amp;&amp;
+ln -sf ../init.d/qmail ../rc4.d/S35qmail &amp;&amp;
+ln -sf ../init.d/qmail ../rc5.d/S35qmail &amp;&amp;
+ln -sf ../init.d/qmail ../rc6.d/K25qmail</userinput></screen></para>
+
 </sect3>
 
Index: server/mail/qmail/qmail-intro.xml
===================================================================
--- server/mail/qmail/qmail-intro.xml	(revision fe8b8e9586ce4dcc518a2fba313034cd260cdf41)
+++ server/mail/qmail/qmail-intro.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -2,5 +2,6 @@
 <title>Introduction to qmail</title>
 
-<screen>Download location (FTP):       <ulink url="&qmail-download-ftp;"/>
+<screen>Download location (HTTP):       <ulink url="&qmail-download-http;"/>
+Download location (FTP):        <ulink url="&qmail-download-ftp;"/>
 Version used:                   &qmail-version;
 Package size:                   &qmail-size;
Index: server/mail/sendmail/sendmail-config.xml
===================================================================
--- server/mail/sendmail/sendmail-config.xml	(revision fe8b8e9586ce4dcc518a2fba313034cd260cdf41)
+++ server/mail/sendmail/sendmail-config.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -14,6 +14,10 @@
 postmaster: root
 MAILER-DAEMON: root
-EOF
-sendmail -v -bi
+EOF &amp;&amp;
+cd /etc/mail &amp;&amp;
+cp -R  /usr/src/sendmail-8.12.5/cf/* . &amp;&amp;
+cp -R  /usr/src/sendmail-8.12.5/cf/cf/submit.mc . &amp;&amp;
+cp -R  /usr/src/sendmail-8.12.5/cf/cf/sendmail.mc . &amp;&amp;
+sendmail -v -bi &amp;&amp;
 /usr/sbin/sendmail -bs -bd -q1m
 </userinput></screen></para>
Index: server/mail/sendmail/sendmail-desc.xml
===================================================================
--- server/mail/sendmail/sendmail-desc.xml	(revision fe8b8e9586ce4dcc518a2fba313034cd260cdf41)
+++ server/mail/sendmail/sendmail-desc.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -12,7 +12,7 @@
 <userinput>sendmail</userinput>,
 <userinput>vacation</userinput>,
-<userinput>praliases</userinput>,
-<userinput>mailstats</userinput>,
-and <userinput></userinput>.</para>
+<userinput>praliases</userinput> and
+<userinput>mailstats</userinput>.
+</para>
 </sect2>
 <sect2><title>Description</title>
Index: server/mail/sendmail/sendmail-intro.xml
===================================================================
--- server/mail/sendmail/sendmail-intro.xml	(revision fe8b8e9586ce4dcc518a2fba313034cd260cdf41)
+++ server/mail/sendmail/sendmail-intro.xml	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -2,5 +2,5 @@
 <title>Introduction to sendmail</title>
 
-<screen>
+<screen>Download location (HTTP):       <ulink url="&sendmail-download-http;"/>
 Download location (FTP):        <ulink url="&sendmail-download-ftp;"/>
 Version used:                   &sendmail-version;
@@ -9,5 +9,5 @@
 
 <para>The sendmail package contains a Mail Transport Agent
-(MTA).  </para>
+(MTA).</para>
 
 
Index: server/mail/sendmail/sendmail.ent
===================================================================
--- server/mail/sendmail/sendmail.ent	(revision fe8b8e9586ce4dcc518a2fba313034cd260cdf41)
+++ server/mail/sendmail/sendmail.ent	(revision f7f0d444d22dec891e2d4c3619aab37a7eb3acfd)
@@ -6,5 +6,5 @@
 <!ENTITY sendmail-buildsize "12 MB">
 <!ENTITY sendmail-version "8.12.5">
-<!ENTITY sendmail-download-ftp
-"ftp://ftp.sendmail.org/pub/sendmail/sendmail.8.12.5.tar.gz">
+<!ENTITY sendmail-download-http "">
+<!ENTITY sendmail-download-ftp "ftp://ftp.sendmail.org/pub/sendmail/sendmail.8.12.5.tar.gz">
 <!ENTITY sendmail-size "1.8 MB">
